-- Version 0.0.1
-- Author AliasAlreadyTaken
-- License MIT
-- Changelog
local mod_start_time = core.get_us_time()
core.log("action", "[MOD] yl_ticker loading")

yl_ticker = {}
yl_ticker.error = {}
-- yl_ticker.modstorage = core.get_mod_storage()
yl_ticker.modpath = core.get_modpath("yl_ticker")
yl_ticker.worldpath = core.get_worldpath()

yl_ticker.information = {}
yl_ticker.information.version = "0.0.1"
yl_ticker.information.author = "AliasAlreadyTaken"
yl_ticker.information.license = "MIT"
yl_ticker.information.name = "yl_ticker"
yl_ticker.information.source = "https://gitea.your-land.de/your-land/yl_ticker"
yl_ticker.information.additional = "Displays messages once per timeframe"

dofile(yl_ticker.modpath .. DIR_DELIM .. "config.lua")
dofile(yl_ticker.modpath .. DIR_DELIM .. "setup.lua")
dofile(yl_ticker.modpath .. DIR_DELIM .. "internal.lua")
dofile(yl_ticker.modpath .. DIR_DELIM  .. "api.lua")
dofile(yl_ticker.modpath .. DIR_DELIM .. "initialize.lua")
dofile(yl_ticker.modpath .. DIR_DELIM  .. "globalsteps.lua")
dofile(yl_ticker.modpath .. DIR_DELIM  .. "chatcommands.lua")

local mod_end_time = (core.get_us_time() - mod_start_time) / 1000000
core.log("action", "[MOD] yl_ticker loaded in [" .. mod_end_time .. "s]")
